<?php

//  _____               _           _
// |   __|___ ___ ___ _| |___ _____| |_ ___ ___ ___
// |   __|  _| -_| -_| . | . |     | . | . |   | -_|
// |__|  |_| |___|___|___|___|_|_|_|___|___|_|_|___|
//
//                              Freedom in the Cloud
//
// Change the default clearnet domain
//
// License
// =======
//
// Copyright (C) 2018-2019 Bob Mottram <bob@freedombone.net>
//
// This program is free software: you can redistribute it and/or modify
// it under the terms of the GNU Affero General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU Affero General Public License for more details.
//
// You should have received a copy of the GNU Affero General Public License
// along with this program.  If not, see <http://www.gnu.org/licenses/>.

$output_filename = "dynamicdns.html";

if (isset($_POST['changedomain'])) {
    $change_domain = htmlspecialchars($_POST['default_domain_name']);

    if (preg_match('/^[a-z\d_\.\-]{4,128}$/i', $change_domain)) {
        $domain_file = fopen(".default_domain_temp.txt", "w") or die("Unable to write to default_domain file");
        fwrite($domain_file, $change_domain);
        fclose($domain_file);

        exec('cp change_domain_confirm_template.html change_domain_confirm.html');
        exec('sed -i "s|NEW_DEFAULT_DOMAIN_NAME|'.$change_domain.'|g" change_domain_confirm.html');

        $output_filename = "change_domain_confirm.html";
    }
}

if (isset($_POST['changedomainconfirmsubmit'])) {
    $confirm = htmlspecialchars($_POST['changedomainconfirm']);

    if($confirm == "1") {
        exec('mv .default_domain_temp.txt .default_domain.txt');
    }
    else {
        exec('rm .default_domain_temp.txt');
    }
}

$htmlfile = fopen("$output_filename", "r") or die("Unable to open $output_filename");
echo fread($htmlfile,filesize("$output_filename"));
fclose($htmlfile);

?>
